Index: components/artifactView/js/ArtifactView.js
===================================================================
--- components/artifactView/js/ArtifactView.js	(revision 9368)
+++ components/artifactView/js/ArtifactView.js	(working copy)
@@ -57,6 +57,17 @@
             }
         };
         
+        if (that.model.artifactDescription) {
+            proto.descriptionContent = {markup: "%artifactDescription"};
+            proto.description = {
+                decorators: {
+                    type: "fluid",
+                    func: "fluid.engage.moreLess",
+                    options: that.options.descriptionMoreLess.options
+                }
+            };
+        }
+        
         // Trim out any components for model values that are not present, so that the renderer will remove associated template markup.
         removeEmptyComponents(proto, that.model);
         return proto;
@@ -122,27 +133,22 @@
     };
 
     var setup = function (that) {
-        that.sections = makeNavListModels(that.model, that.options);        
+        that.sections = makeNavListModels(that.model, that.options);
         var messageLocator = fluid.messageLocator(that.options.strings, fluid.stringTemplate);
         that.render = fluid.engage.renderUtils.createRendererFunction(that.container, that.options.selectors, {
-            selectorsToIgnore: ["description", "sectionContainer"],
+            selectorsToIgnore: ["sectionContainer"],
             repeatingSelectors: ["sections"],
             rendererOptions: {
                 messageLocator: messageLocator,
                 model: that.model
             }
-        });
-        
+        });        
         that.refreshView();
     };
     
     var setupSubcomponents = function (that) {
-        that.navBar = fluid.initSubcomponent(that, "navigationBar", [that.container, fluid.COMPONENT_OPTIONS]);
-        if (that.model.artifactDescription) {
-            that.descriptionMoreLess = fluid.initSubcomponent(that, "descriptionMoreLess", 
-                [that.locate("description"), fluid.COMPONENT_OPTIONS]);
-        }
-        if (that.options.useCabinet) {
+        that.navBar = fluid.initSubcomponent(that, "navigationBar", [that.container, fluid.COMPONENT_OPTIONS]);;
+        if (that.sections.length > 0 && that.options.useCabinet) {
             that.cabinet = fluid.initSubcomponent(that, "cabinet", [that.locate("sectionContainer"), fluid.COMPONENT_OPTIONS]);
         }
     };
@@ -151,7 +157,6 @@
         var that = fluid.initView("fluid.engage.artifactView", container, options);
         that.model = that.options.model;
         
-        
         that.refreshView = function () {
             var expander = fluid.renderer.makeProtoExpander({ELstyle: "%"});            
             var tree = expander(makeProtoComponents(that));
@@ -164,11 +169,10 @@
     };
     
     fluid.defaults("fluid.engage.artifactView", {
+        
         descriptionMoreLess: {
             type: "fluid.engage.moreLess",
-            options: {
-                model: null
-            }
+            options: {}
         },
         
         section: {
@@ -197,6 +201,7 @@
             dimensions: ".flc-artifact-dimensions",
             mention: ".flc-artifact-mention",
             description: ".flc-artifact-description",
+            descriptionContent: ".flc-moreLess-content",
             image: ".flc-artifact-image",
             sectionContainer: ".flc-artifact-sections",
             sections: ".flc-cabinet-drawer",
Index: components/moreLess/html/MoreLess.html
===================================================================
--- components/moreLess/html/MoreLess.html	(revision 9368)
+++ components/moreLess/html/MoreLess.html	(working copy)
@@ -15,30 +15,24 @@
         
         <script type="text/javascript" src="../../../../fluid-infusion/src/webapp/lib/jquery/core/js/jquery.js"></script>
         <script type="text/javascript" src="../../../../fluid-infusion/src/webapp/framework/core/js/Fluid.js"></script>
-        <script type="text/javascript" src="../../../../fluid-infusion/src/webapp/lib/fastXmlPull/js/fastXmlPull.js"></script>
-        <script type="text/javascript" src="../../../../fluid-infusion/src/webapp/framework/core/js/DataBinding.js"></script>
-        <script type="text/javascript" src="../../../../fluid-infusion/src/webapp/framework/renderer/js/fluidParser.js"></script>
-        <script type="text/javascript" src="../../../../fluid-infusion/src/webapp/framework/renderer/js/fluidRenderer.js"></script>
-        <script type="text/javascript" src="../../../../fluid-engage-core/framework/js/engageClientUtils.js"></script>
         <script type="text/javascript" src="../js/MoreLess.js"></script>
     </head>
     <body class="fl-theme-iphone">
         <div class="flc-moreLess">            
-            <p class="flc-moreLess-content fl-moreLess-content">Foo</p>
+            <p class="flc-moreLess-content fl-moreLess-content">
+                <i>Marvel Super Special</i>, vol. 1, no. 25, <i>Rock & Rule</i>, 1983. 
+                This comic book contains an adaptation of the film <i>Rock 'n' Rule</i>, along  
+                with articles on the making of the film, the music of the film, and production stills.  
+                The cover of the book features an illustration of several characters from the film, 
+                along with the text Marvel Super Special / The Official Adaptation / of the Feature-Length  
+                Animated Rock 'n' Roll Fantasy from Nelvana! / Plus: Articles, Interviews and Artwork from the Movie. 
+                The book includes a special section on the making of the film.
+            </p>
             <a href="#" class="flc-moreLess-toggler fl-moreLess-toggler">Toggle more/less</a>
         </div>        
         <h2>Other Content</h2>
         <script type="text/javascript">
             var options = {
-                model: {
-                    text: "<i>Marvel Super Special</i>, vol. 1, no. 25, <i>Rock & Rule</i>, 1983." + 
-                        "This comic book contains an adaptation of the film <i>Rock 'n' Rule</i>, along " + 
-                        "with articles on the making of the film, the music of the film, and production stills. " + 
-                        "The cover of the book features an illustration of several characters from the film, " + 
-                        "along with the text \"\" Marvel Super Special / The Official Adaptation / of the Feature-Length " + 
-                        "Animated Rock 'n' Roll Fantasy from Nelvana! / Plus: Articles, Interviews and Artwork from the Movie." + 
-                        "\"\"The book includes a special section on the making of the film."
-                },
                 collapsedHeight: 20
             };
             fluid.engage.moreLess(".flc-moreLess", options);
Index: components/moreLess/js/MoreLess.js
===================================================================
--- components/moreLess/js/MoreLess.js	(revision 9368)
+++ components/moreLess/js/MoreLess.js	(working copy)
@@ -59,26 +59,6 @@
         }
     };
     
-    var makeProtoComponents = function (text) {
-        return text ? {
-            content: {markup: "text"}
-        } : {};
-    };
-    
-    var setup = function (that) {
-        var messageLocator = fluid.messageLocator(that.options.strings, fluid.stringTemplate);
-        var selectorsToIgnore = ["toggler"];
-        that.render = fluid.engage.renderUtils.createRendererFunction(that.container, that.options.selectors, {
-            selectorsToIgnore: selectorsToIgnore,
-            rendererOptions: {
-                messageLocator: messageLocator,
-                model: that.model
-            }
-        });
-        that.refreshView();
-        setupToggler(that);
-    };
-    
     /**
      * The component's creator function 
      * 
@@ -88,14 +68,6 @@
     fluid.engage.moreLess = function (container, options) {
         
         var that = fluid.initView("fluid.engage.moreLess", container, options);
-        that.model = that.options.model;
-        
-        that.refreshView = function () {
-            var expander = fluid.renderer.makeProtoExpander({ELstyle: "ALL"});
-            var protoTree = makeProtoComponents(that.model.text);
-            var tree = expander(protoTree);
-            that.render(tree);
-        };
 
         that.isExpanded = that.options.expandByDefault;
         
@@ -109,7 +81,7 @@
             that.isExpanded = !that.isExpanded;
         };        
         
-        setup(that);
+        setupToggler(that);
         return that;
     };
     
@@ -127,9 +99,6 @@
             less: "LESS..."
         },
         collapsedHeight: 60, //this also has to be specified in the css file in the .fl-moreLess-hide class
-        expandByDefault: false,
-        model: {
-            text: null
-        }
+        expandByDefault: false
     });
 })(jQuery);
